;================================================================================
;
;MACHINE ARCHITECTURE
;
mm_ram   =$000000              ;RAM (48K)
mm_io    =$00c000              ;I/O (4K)
mm_rom   =$00d000              ;ROM (12K)
mm_mpuv  =$00ffe0              ;MPU vectors
;
hz       =100                  ;jiffy IRQs per second
s_zp     =s_rampag             ;direct page size
s_iodev  =s_rampag             ;I/O decoding spacing
zeropage .= mm_ram             ;start of direct page
absolute .= zeropage+s_zp      ;start of absolute RAM
rambot   .= absolute+s_rampag  ;start of user space RAM
;
	.end
