;================================================================================
;
;BIOS API FUNCTION ERROR CODES
;
e_okay   =$0000                ;no error...
;
;	
;	E_OKAY is returned by functions that otherwise have no returns & are
;	not expected to preserve .C.
;	
;
e_sirdy  =$0001                ;SIO subsystem not ready (currently unimplemented)
e_ssrdy  =$0002                ;SCSI subsystem not ready
;
;
;	SIO-related errors...
;
e_sioch  =$0010                ;invalid SIO channel requested
e_stlen  =$0011                ;string too long
;
;
;	SCSI subsystem errors...
;
e_sstid  =$0020                ;target ID out of range
e_ssdne  =$0021                ;device not enumerated
e_ssdnp  =$0022                ;device not present
e_sscge  =$0023                ;controller general error
e_sscfe  =$0024                ;controller FIFO error
e_sscmd  =$0025                ;illegal controller command
e_ssubr  =$0030                ;unexpected bus reset
e_ssubp  =$0031                ;unsupported bus phase
e_ssudf  =$0032                ;unsupported driver function
e_ssucg  =$0033                ;unsupported command group
e_ssabt  =$0034                ;aborted transaction
e_sschk  =$0040                ;device check condition
;
;
;	miscellaneous...
;
e_apiidx =$ffff                ;illegal API index or undefined function
;
	.end