;================================================================================
;
;BIOS "NUMBER-OF" CONSTANTS
;
n_bootd  =2                    ;SCSI boot devices
n_ivvecs =8                    ;total indirect vectors
;
;================================================================================
;
;BIOS "SIZE-OF" CONSTANTS
;
s_hstack =s_rampag-s_byte      ;native mode stack
s_stack  =s_rampag             ;emulation mode stack
s_tdcnt  =s_word               ;IRQ-driven delay timer
s_vecspc =n_ivvecs*s_ptr       ;indirect vector space
;
;================================================================================
;
;MISCELLANEOUS CONSTANTS
;
dbnk     .= $00                ;default copy destination bank
sbnk     .= $00                ;default copy source bank
fisrmask =%11000011            ;function return SR mask
kerneldb =$00                  ;kernel's data bank
testpata =%01011010            ;RAM test pattern A
testpatb =%10100101            ;RAM test pattern B
;
	.end