;================================================================================
;
;DEFAULT NVRAM SETUP VALUES
;
;	
;	The following constants are used to initialize an invalid
;	NVRAM image during POST.  An external initialization pro-
;	gram must then be run to set the desired NVRAM values.
;	
;
nvdcksum =0                    ;starting checksum
nvdtz    =6|%11000000          ;timezone (CST w/DST enabled)
nvdcpbps =2                    ;console port BPS (38.4k)
nvdxpbps =2                    ;auxiliary port BPS (38.4k)
nvdboota =0|%10000000          ;1st boot device SCSI ID (0)
nvdbootb =5|%10000000          ;2nd boot device SCSI ID (5)
nvdbootc =0|%00000000          ;3rd boot device (not defined)
nvdsyssn =10<<4|1              ;serial number (20100001)
nvdramem =0                    ;embedded RAM (128 kb)
;
	.end
