;================================================================================
;
;KERNEL TIA-232 CONSTANTS
;
n_tiabuf =n_nxpchn*2           ;total circular queues
n_tiabix =2                    ;indices per queue
s_tiabuf =64                   ;queue size...
;
;	
;	The queue size must be an integral power of 2,
;	not to exceed 256 bytes.  The minimum should be
;	64 bytes.  If less than 256 the M_TIAPTR mask
;	must be defined to a value compatible with the
;	queue size, usuall S_TIABUF-1. 
;	
;
m_tiaptr =s_tiabuf-1           ;queue pointer mask
s_tiaspc =s_tiabuf*n_tiabuf    ;required queue space
;
;
;	NXP UART communication channel indices...
;
nxpchana =0                    ;channel A
nxpchanb =nxpchana+1           ;channel B
nxpchanc =nxpchanb+1           ;channel C
nxpchand =nxpchanc+1           ;channel D
nxpchane =nxpchand+1           ;channel E
nxpchanf =nxpchane+1           ;channel F
nxpchang =nxpchanf+1           ;channel G
nxpchanh =nxpchang+1           ;channel H
;
	.end