;================================================================================
;
;I/O DEVICE SELECTION ADDRESSES
;
io_a     =mm_io                ;device A select
io_b     =io_a+s_iodev         ;device B select
io_c     =io_b+s_iodev         ;device C select
io_d     =io_c+s_iodev         ;device D select
io_e     =io_d+s_iodev         ;device E select
io_f     =io_e+s_iodev         ;device F select
io_g     =io_f+s_iodev         ;device G select
io_h     =io_g+s_iodev         ;device H select
;
;================================================================================
;
;I/O DEVICE HARDWARE ASSIGNMENTS
;
io_sioa  =io_a                 ;DUART #1
io_siob  =io_b                 ;DUART #2
io_sioq  =io_c                 ;vQUART IRQ status
io_rtc   =io_d                 ;RTC
io_scsi  =io_e                 ;SCSI
io_scsid =io_f                 ;SCSI DMA
io_scsiq =io_g                 ;SCSI DMA handshake
;
io_quart =io_sioa              ;start of virtual QUART
;
	.end
