;===============================================================================
;
;KERNEL OPEN FILE TABLE STRUCTURE
;
of_flag  =0                    ;status...
;
;	xx000000
;	||
;	|+> 1: sync on close
;	+> 1: slot in use
;
of_count =of_flag+s_byte       ;total OPENs on file
of_inode =of_count+s_byte      ;file's inode number
of_rwptr =of_inode+s_inum      ;relative file pointer
;
s_ofslot =of_rwptr+s_dbadri    ;open file slot size
s_oftab  =s_ofslot*m_ofsys     ;open file table size
;
;===============================================================================
;
;PER PROCESS OPEN FILE TABLE STRUCTURE
;
uf_mode  =0                    ;mode...
;
;	xx000000
;	||
;	|+> 1: write_enabled
;	+> 1: read-enabled
;
;	
;	If UF_MODE = 0 then the slot is not in use.
;	
;
uf_oftab =uf_mode+s_byte       ;file table slot index...
;
;	
;	UF_OFTAB is a zero-based index into
;	the kernel open file table.
;	
;
uf_rptr  =uf_oftab+s_byte      ;read data byte pointer
uf_wptr  =uf_rptr+s_dbadri     ;write data byte pointer
;
s_ufslot =uf_wptr+s_dbadri     ;open file slot size
s_uftab  =s_ufslot*m_ofproc    ;open file table size
;
	.end
