;================================================================================
;
;SCSI DRIVER EXIT CODES
;
ed_okay  =%00000000            ;no error
;
;
;	driver access codes...
;
ed_devid =%00000001            ;invalid SCSI ID (range)
ed_devne =%00000010            ;device not enumerated
ed_usfun =%00100000            ;unsupported driver function
ed_usgrp =%00001000            ;unsupported command group
ed_usphs =%00010001            ;unsupported bus phase
;
;
;	bus or device access keys...
;
ed_devnp =%10000000            ;device not present
ed_abort =%10000001            ;aborted transaction
ed_check =%10000010            ;check condition
;
;
;	controller access codes...
;
ed_cntrl =%00000100            ;general controller error
ed_fifo  =%00000101            ;FIFO count error
ed_ilcmd =%00001001            ;illegal controller command
ed_reset =%00010000            ;unexpected bus reset
;
	.end