;================================================================================
;
;SCSI BASIC SENSE KEYS (description order)
;
eh_cmdab =$0b                  ;command aborted
eh_dnr   =$02                  ;device not ready
eh_cpyab =$0a                  ;extended copy failure
eh_fhe   =$04                  ;fatal hardware error
eh_fme   =$03                  ;fatal medium error
eh_vendr =$09                  ;vendor-unique
eh_ilreq =$05                  ;illegal request
eh_miscp =$0e                  ;miscompare
eh_noerr =$00                  ;no sense data
eh_obs   =$0c                  ;obsolete
eh_errec =$01                  ;recovered error
eh_res01 =$08                  ;reserved
eh_uatn  =$06                  ;unit attention
eh_ovrfl =$0d                  ;volume overflow
eh_writp =$07                  ;write-protected
eh_compr =$0e                  ;miscompare
eh_compl =$0f                  ;command
;
;================================================================================
;
;SCSI ADDITIONAL SENSE KEYS (description order)
;
as_nrbr  =$0104                ;LUN not ready, becoming ready
as_nrfip =$0404                ;LUN not ready, formatting
as_nrmir =$0304                ;LUN not ready, needs intervention
as_nrsur =$0204                ;LUN not ready, needs START UNIT
as_nrnr  =$0004                ;LUN not ready, not reportable
as_nrofl =$1204                ;LUN not ready, offline
as_nrtip =$0904                ;LUN not ready, self-testing
as_mnp   =$003a                ;medium not present
as_none  =$0000                ;no additional sense data
as_pdwf  =$0003                ;peripheral device write fault
as_pwron =$0129                ;power on
as_reset =$0029                ;power on or hard reset
;
	.end
