;================================================================================
;
;SCSI COMMAND DESCRIPTOR BLOCK OFFSETS
;
so_opcod =0                    ;SCSI operation code...
;
;	xxxxxxxx
;	||||||||
;	|||+++++> command
;	+++> group
;
so_lunla =1                    ;LUN/LBA MSB...
;
;	xxxxxxxx
;	||||||||
;	|||+++++> LBA bits 16-21 (group 0 only)
;	+++> LUN
;
;
;	group 0 block device offsets...
;
so_lbam  =2                    ;LBA bits 8-15
so_lbal  =3                    ;LBA bits 0-7
so_xfrl  =4                    ;transfer length
;
;
;	group 0 stream device offsets...
;
so_xfrmb =2                    ;transfer length bits 16-23
so_xfrib =3                    ;transfer length bits 8-15
so_xfrlb =4                    ;transfer length bits 0-7
;
;
;	group 0 common offsets...
;
so_ctrl  =5                    ;control byte
;
;
;	groups 1, 2 & 5 common offsets...
;
so_lbamb =2                    ;LBA bits 24-31
so_lbamu =3                    ;LBA bits 16-23
so_lbaml =4                    ;LBA bits 8-15
so_lball =5                    ;LBA bits 0-7
;
;
;	group 1 & 2 offsets...
;
so_xfrlh =7                    ;transfer length MSB
so_xfrll =8                    ;transfer length LSB
so_ctrll =9                    ;control byte
;
;
;	group 5 offsets...
;
so_xfrxh =8                    ;transfer length MSB
so_xfrxl =9                    ;transfer length LSB
so_ctrxl =11                   ;control byte
;
	.end
