;================================================================================
;
;MACHINE LANGUAGE MONITOR  CHANGE and/or DUMP MEMORY
;
;	
;	syntax: > [<addr> <operand> [<operand>]...]
;
;	> <addr> without operands will dump 16 bytes
;	of memory, starting at <addr>.
;	
;
monchm   bcs .0000030          ;no address given  quit
;
         jsr facasize          ;size address
         cmp #s_dword
         bcs .0000040          ;address out of range  error
;
         jsr facaddra          ;set starting address
         jsr getpat            ;evaluate change pattern
         bcc .0000010          ;entered
;
         bpl .0000020          ;not entered, just dump
;
         bra .0000040          ;evaluation error
;
.0000010 dey                   ;next byte
         bmi .0000020          ;done
;
         lda auxbuf,y          ;write pattern...
         sta [addra],y         ;to memory
         bra .0000010          ;next
;
.0000020 jsr newline           ;next line
         jsr dpymem            ;regurgitate changes
;
.0000030 jmp monce             ;back to command loop
;
.0000040 jmp monerr            ;goto error handler
;
	.end
