;================================================================================
;
;MACHINE LANGUAGE MONITOR  COPY (transfer) MEMORY
;
;	
;	syntax: T <start> <end> <target>
;	
;
moncpy   bcs .0000040          ;start not given  quit
;
         jsr enddest           ;get end & target addresses
         bcs .0000050          ;range or other error
;
         longa
         sec
         lda addrb             ;ending address
         sbc addra             ;starting address
         bcc .0000050          ;start > end  error
;
         sta facb              ;bytes to copy
         shorta
         longx
         lda operand+s_word    ;target bank
         ldy operand           ;target address
         cmp addra+s_word      ;source bank
         longa
         bne .0000020          ;can use forward copy
;
         cpy addra             ;source address
         bcc .0000020          ;can use forward copy
;
         bne .0000010          ;must use reverse copy
;
         bra .0000050          ;copy in place  error
;
.0000010 lda facb              ;get bytes to copy
         pha                   ;protect
         jsr lodbnk            ;load banks
         jsr cprvsup           ;do reverse copy setup
         pla                   ;get bytes to copy
         tax                   ;save a copy
         clc
         adc operand           ;change target to...
         tay                   ;target end
         txa                   ;recover bytes to copy
         ldx addrb             ;source end
         bra .0000030
;
.0000020 lda facb              ;get bytes to copy
         pha                   ;protect
         jsr lodbnk            ;load banks
         jsr cpfwsup           ;do forward copy setup
         pla                   ;get bytes to copy
         ldx addra             ;source start
;
.0000030 jmp mcftwork          ;copy memory
;
.0000040 jmp monce             ;back to executive
;
.0000050 jmp monerr            ;error
;
	.end
