;================================================================================
;
;MACHINE LANGUAGE MONITOR  FILL MEMORY
;
;	
;	syntax: F <start> <end> <fill>
;
;	<start> & <end> must be in the same bank.
;	
;
monfil   bcs .0000010          ;start not given  quit
;
         jsr facasize          ;check size
         cmp #s_dword
         bcs .0000020          ;out of range  error...
;
         jsr facaddra          ;store start
         jsr getparm           ;evaluate end
         bcs .0000020          ;not entered  error
;
         jsr facasize          ;check size
         cmp #s_dword
         bcs .0000020          ;out of range  error
;
         lda faca+s_word       ;end bank
         cmp addra+s_word      ;start bank
         bne .0000020          ;not same  error
;
         jsr facaddrb          ;store <end>
         longa
         sec
         lda addrb             ;ending address
         sbc addra             ;starting address
         bcc .0000020          ;start > end  error
;
         sta facb              ;bytes to copy
         shorta
         jsr getparm           ;evaluate <fill>
         bcs .0000020          ;not entered  error
;
         jsr facasize          ;<fill> should be...
         cmp #s_word           ;8 bits
         bcs .0000020          ;it isn't  error
;
         jsr facaoper          ;store <fill>
         jsr getparm           ;should be no more parameters
         bcc .0000020          ;there are  error
;
         lda operand           ;<fill>
         sta [addra]           ;fill 1st location
         longr                 ;16 bit operations
         lda facb              ;get byte count
         beq .0000010          ;only 1 location  finished
;
         dec                   ;zero align &...
         pha                   ;protect
         shorta
         lda addra+s_word      ;start bank
         xba
         lda addrb+s_word      ;end bank
         jsr cpfwsup           ;do forward copy setup
         pla                   ;recover fill count
         ldx addra             ;fill-from starting location
         txy
         iny                   ;fill-to starting location
         jmp mcftwork          ;fill memory
;
.0000010 jmp monce             ;goto command executive
;
.0000020 jmp monerr            ;goto error handler
;
	.end
