;================================================================================
;
;MACHINE LANGUAGE MONITOR  SEARCH (hunt) MEMORY
;
;	
;	syntax: H <addr1> <addr2> <pattern>
;	
;
monhnt   bcs .0000050          ;no start address
;
         jsr facasize          ;size starting address
         cmp #s_dword
         bcs .0000060          ;address out of range  error
;
         jsr facaddra          ;store starting address
         jsr getparm           ;evaluate ending address
         bcs .0000060          ;no address  error
;
         jsr facasize          ;size ending address
         cmp #s_dword
         bcs .0000060          ;address out of range  error
;
         jsr facaddrb          ;store ending address
         jsr calccnt           ;calculate byte range
         bcc .0000060          ;end < start
;
         jsr getpat            ;evaluate search pattern
         bcs .0000060          ;error
;
         stz xrtemp            ;clear column counter
;
.0000010 jsr teststop          ;check for stop
         bcs .0000050          ;abort
;
         ldy auxbufix          ;pattern index
;
.0000020 dey
         bmi .0000030          ;pattern match
;
         lda [addra],y         ;get from memory
         cmp auxbuf,y          ;test against pattern
         bne .0000040          ;mismatch, next location
;
         beq .0000020          ;match, keep testing
;
.0000030 jsr dpycaddr          ;display current location
;
.0000040 jsr nxtaddra          ;next location
         bcc .0000010          ;not done
;
.0000050 jmp monce             ;back to executive
;
.0000060 jmp monerr            ;goto error handler
;
	.end