;================================================================================
;
;scsidpiq: DISPLAY INQUIRY DATA                         
;
scsidpiq ldx #colvendr         ;vendor column
         ldy scsierow          ;device row
         jsr plot              ;position cursor
         ldx #iq_vendr         ;offset to vendor ID
         ldy #s_vendr          ;vendor ID field size
;
.0000010 lda scmiswrk,x        ;get char
         jsr putcha            ;print it
         inx
         dey
         bne .0000010
;
         cpx #iq_vendr+s_vendr+s_sspid+s_revsn
         beq .0000020          ;done with ID stuff
;
         phx                   ;save string index
         ldx #colprod          ;product ID column
         ldy scsierow          ;device row
         jsr plot              ;position cursor
         plx                   ;get string index
         ldy #s_sspid          ;product ID field size
         cpx #iq_vendr+s_vendr ;last field the vendor?
         beq .0000010          ;yes, print product ID
;
         phx
         ldx #colvers          ;revision field column
         ldy scsierow          ;device row
         jsr plot              ;position cursor
         plx
         ldy #s_revsn          ;revision field size
         bra .0000010          ;print revision
;
.0000020 ldx #colstat
         ldy scsierow
         jmp plot              ;position to status column
;
	.end
