;================================================================================
;
;SCSI DRIVER COMMAND VALIDATION TABLES
;
scgroups .byte 0 << n_grpshf   ;supported command groups
         .byte 1 << n_grpshf
         .byte 2 << n_grpshf
         .byte 5 << n_grpshf
;
scsizes  .byte s_cdbg0         ;group CDB sizes
         .byte s_cdbg1
         .byte s_cdbg2
         .byte s_cdbg5
;
n_scgrps =scsizes-scgroups     ;number of supported groups
;
;================================================================================
;
;SCSI COMMAND CODE SIZE TRANSLATION TABLES
;
;
;	opcodes...
;
sccsttab .byte sc_read         ;read from medium (21 bit LBA)
         .byte sc_readx        ;read from medium (32 bit LBA)
         .byte sc_writ         ;write to medium (21 bit LBA)
         .byte sc_writx        ;write to medium (32 bit LBA)
;
;
;	LBA field offsets...
;
sclboset .byte so_lbal         ;read from medium (21 bit LBA)
         .byte so_lball        ;read from medium (32 bit LBA)
         .byte so_lbal         ;write to medium (21 bit LBA)
         .byte so_lball        ;write to medium (32 bit LBA)
;
;
;	transfer size field offsets...
;
sctloset .byte so_xfrl         ;read from medium (21 bit LBA)
         .byte so_xfrlh        ;read from medium (32 bit LBA)
         .byte so_xfrl         ;write to medium (21 bit LBA)
         .byte so_xfrlh        ;write to medium (32 bit LBA)
;
;
;	transfer size field sizes...
;
scctztab .byte s_byte          ;read from medium (21 bit LBA)
         .byte s_word          ;read from medium (32 bit LBA)
         .byte s_byte          ;write to medium (21 bit LBA)
         .byte s_word          ;write to medium (32 bit LBA)
;
	.end
