;================================================================================
;
;SIO MASKS
;
tiatstab                       ;TxD status flags
.a       .set 0
         .rept n_nxpchn
             .word 1 << .a
.a           .= .a + 1
         .endr
;
tiaqpmsk                       ;queue pointer masks
.a       .set 0
         .rept n_nxpchn
             .word .a << 6
.a           .= .a + 1
         .endr
;
;================================================================================
;
;TIA-232 DIRECT PAGE POINTER TABLES
;
tiaiptab =*
;
;
;	UART registers...
;
         .word io_quart+nx_sra ;ch A: status
         .word io_quart+nx_srb ;ch B: status
         .word io_quart+nx_src ;ch C: status
         .word io_quart+nx_srd ;ch D: status
         .word io_quart+nx_cra ;ch A: command
         .word io_quart+nx_crb ;ch B: command
         .word io_quart+nx_crc ;ch C: command
         .word io_quart+nx_crd ;ch D: command
         .word io_quart+nx_fifa;ch A: FIFO
         .word io_quart+nx_fifb;ch B: FIFO
         .word io_quart+nx_fifc;ch C: FIFO
         .word io_quart+nx_fifd;ch D: FIFO
;
;
;	RxD circular queues...
;
.addr    .set tiabufs
         .rept n_tiabix
.a           .set 0
             .rept n_nxpchn
                 .word .addr+.a
.a               .= .a+s_tiabuf
             .endr
         .endr
;
;
;	TxD circular queues...
;
.addr    .set tiabufs+.a
         .rept n_tiabix
.a           .set 0
             .rept n_nxpchn
                 .word .addr+.a
.a               .= .a+s_tiabuf
             .endr
         .endr
;
tiaipend =*
;
	.end