;================================================================================
;
;816NIX APPLICATION PROGRAMMING INTERFACE MACROS
;
;
;	test code
;
	.include "..\816macs.65s"
	.include "api_kernel.65s"
;
;	end of test code
;
;
         .if !.ref(_PUSHVP_)
_PUSHVP_ .macro ...
.np      .= %0
         .rept %0
             .byte $f4
             .word %.np
.np          .= .np-1
         .endr
         pea %0
         .endm
         .endif
;
         .if !.ref(ALARM)
ALARM    .macro .n,.f          ;alarm(secs,function)
         _PUSHVP_ .n,.f
         shorta
         lda #kc_alarm
         trap 0
         .endm
         .endif
;
         .if !.ref(CLOSE)
CLOSE    .macro .f             ;close(fd)
         _PUSHVP_ .f
         shorta
         lda #kc_close
         trap 0
         .endm
         .endif
;
         .if !.ref(CREAT)
CREAT    .macro .p,.pm         ;creat(path,perms)
         _PUSHVP_ .p,.pm
         shorta
         lda #kc_creat
         trap 0
         .endm
         .endif
;
         .if !.ref(DUP)
DUP      .macro .f             ;dup(fd)
         _PUSHVP_ .f
         shorta
         lda #kc_dup
         trap 0
         .endm
         .endif
;
         .if !.ref(FSTAT)
FSTAT    .macro .f,.b          ;fstat(fd,buf)
         _PUSHVP_ .f,.b
         shorta
         lda #kc_fstat
         trap 0
         .endm
         .endif
;
         .if !.ref(LSEEK)
LSEEK    .macro .f,.o,.w       ;lseek(fd,offset,origin)
         _PUSHVP_ .f,.o,.w
         shorta
         lda #kc_lseek
         trap 0
         .endm
         .endif
;
         .if !.ref(MKDIR)
MKNOD    .macro .p,.pm         ;mknod(path,perms)
         _PUSHVP_ .p,.pm
         shorta
         lda #kc_mknod
         trap 0
         .endm
         .endif
;
         .if !.ref(OPEN)
OPEN     .macro .p,.m          ;open(path,mode)
         _PUSHVP_ .p,.m
         shorta
         lda #kc_open
         trap 0
         .endm
         .endif
;
         .if !.ref(READ)
READ     .macro .f,.b,.n       ;read(fd,buf,count)
         _PUSHVP_ .f,.b,.n
         shorta
         lda #kc_read
         trap 0
         .endm
         .endif
;
         .if !.ref(SIGNAL)
SIGNAL   .macro .s,.f          ;signal(number,function)
         _PUSHVP_ .s,.f
         shorta
         lda #kc_sig
         trap 0
         .endm
         .endif
;
         .if !.ref(SLEEP)
SLEEP    .macro .n             ;sleep(secs)
         _PUSHVP_ .n
         shorta
         lda #kc_sleep
         trap 0
         .endm
         .endif
;
         .if !.ref(STAT)
STAT     .macro .p,.b          ;stat(path,buf)
         _PUSHVP_ .p,.b
         shorta
         lda #kc_stat
         trap 0
         .endm
         .endif
;
         .if !.ref(WRITE)
WRITE    .macro .f,.b,.n       ;write(fd,buf,count)
         _PUSHVP_ .n,.b,.f
         shorta
         lda #kc_write
         trap 0
         .endm
         .endif
;
         .if !.ref(ON_KERR)
ON_KERR  .macro .targ          ;handle kernel call error
         bcc .okay
         brl .targ             ;error handler target
.okay                          ;continue here
         .endm
         .endif
;
;
;	test code...
;
	*=$2000
	rep $ff
	ldaw $CDFF
	tcs
	ldaw 0
	shortr
	READ $401e,$a17f,$42ca
;
;	end of test code
;	
	.end
