;================================================================================
;
;NON-VOLATILE RAM DEFINTIONS
;
nvrcksum =$00                  ;content checksum
nvrtzoff =nvrcksum+s_word      ;timezone data...
;
;	xx0xxxxx
;	|| |||||
;	|| +++++> offset relative to UTC in BCD
;	|+> 0: DST does not apply
;	|            1: DST applies
;	+> 0: locale at or east of UTC
;	             1: locale west of UTC
;
nvrbpscp =nvrtzoff+s_byte      ;console port BPS rate...
;
;	
;	$00 =   9600
;	$01 =  19200
;	$02 =  38400
;	$03 = 115200*
;	
;	* currently not implemented
;
nvrbpsap =nvrbpscp+s_byte      ;auxiliary port BPS rate...
;
;	
;	$00 =   9600
;	$01 =  19200
;	$02 =  38400
;	$03 = 115200*
;	
;	* currently not implemented
;
nvrsbdid =nvrbpsap+s_byte      ;boot devices (2)...
;
;	xxxx0xxx
;	|||| |||
;	|||| +++> SCSI ID
;	|+++> SCSI LUN
;	+> 1 = active device
;
nvrsyssn =nvrsbdid+2           ;system serial number...
;
;	xxxxxxxxxxxxxxxx
;	||||||||||||||||
;	||||||||++++++++> unique serial number ($00-$FF)
;	++++++++> build year (e.g., $0D = 2013)
;
nvremram =nvrsyssn+s_word      ;embedded RAM...*
;
;	xx000000
;	||
;	++> 00:  128K
;	             01:  256K
;	             10:  512K
;	             11: 4096K
;
;	
;	* Embedded RAM is the amount of RAM installed on the motherboard,
;	  which isn't necessarily the amount that will be reported during
;	  POST.
;	
;
nvrsigbb =nvrsyssn+s_byte      ;boot block signature
;
	.end
