;===============================================================================
;
;FILE MODE & TYPE DEFINITIONS
;
fp_oexec =@0000000000000001    ;other execute
fp_owrit =@0000000000000010    ;other write
fp_oread =@0000000000000100    ;other read
;
fp_gexec =@0000000000001000    ;group execute
fp_gwrit =@0000000000010000    ;group write
fp_gread =@0000000000100000    ;group read
;
fp_uexec =@0000000001000000    ;user execute
fp_uwrit =@0000000010000000    ;user write
fp_uread =@0000000100000000    ;user read
;
fp_stiky =@0000001000000000    ;sticky
fp_sgid  =@0000010000000000    ;set GID on execution
fp_suid  =@0000100000000000    ;set UID on execution
;
;
;	file types (description order)...
;
ft_pipe  =@1111000000000000    ;anonymous pipe
ft_specb =@0110000000000000    ;block special
ft_specs =@0010000000000000    ;character special
ft_dir   =@0100000000000000    ;directory
ft_fifo  =@0001000000000000    ;named pipe
ft_nof   =@0000000000000000    ;not a file
ft_user  =@1000000000000000    ;regular
ft_sockt =@1100000000000000    ;socket
ft_symlk =@1010000000000000    ;symbolic link
;
;
;	AND masks (description order)...
;
.b       =fp_oread | fp_owrit | fp_oexec
fm_other =.b ^ $ffff           ;perms other
.b       =fp_gread | fp_gwrit | fp_gexec
fm_group =.b ^ $ffff           ;perms group
.b       =fp_uread | fp_uwrit | fp_uexec
fm_user  =.b ^ $ffff           ;perms user
fm_stiky =fp_stiky ^ $ffff     ;perms sticky
.b       =fp_sgid | fp_suid
fm_exec  =.b ^ $ffff           ;perms UID/GID
fm_type  =$f000 ^ $ffff        ;type
fm_dir   =ft_dir ^ $ffff       ;directory
;
	.end
