;================================================================================
;
;DS1511 CONFIGURATION CONSTANTS  Description Order
;
wr_wdmsp =$01                  ;10 ms underflows LSB
wr_wdsp  =$00                  ;10 ms underflows MSB
wr_dowap =%00000000            ;no alarm date/day IRQ
wr_hrsap =%00000000            ;no alarm hour IRQ
wr_minap =%00000000            ;no alarm min IRQ
wr_secap =%00000000            ;no alarm secs IRQ
wr_crbpa =%00000000            ;updates & WDT IRQs off
wr_crbpb =%10100000            ;updates on
;
;================================================================================
;
;DS1511 CONTROL MASKS  Description Order
;
d11noirq =%00000000            ;disable IRQs & updates
d11onirq =%10100010            ;enable IRQs & updates
d11aimsk =%00100000            ;enable NVRAM autoincrement
dlleomsk =%00011111            ;enable oscillator
d11ecmsk =%11100000            ;extract control values
d11emmsk =d11ecmsk ^ %11111111 ;extract month value
d11ismsk =%00000011            ;IRQ sources
d11sqmsk =%01000000            ;no square wave output
d11temsk =%10000000            ;stop/start register updates
;
	.end
