;================================================================================
;
;DALLAS DS1511 REAL-TIME CLOCK ABSOLUTE REGISTER DEFINITIONS
;
sect_rtc =io_rtc+wr_sect       ;TOD seconds
mint_rtc =io_rtc+wr_mint       ;TOD minutes
hrst_rtc =io_rtc+wr_hrst       ;TOD hour
dowt_rtc =io_rtc+wr_dowt       ;day of week
datt_rtc =io_rtc+wr_datt       ;date
mon_rtc  =io_rtc+wr_mon        ;month & control
yrlo_rtc =io_rtc+wr_yrlo       ;year LSB
yrhi_rtc =io_rtc+wr_yrhi       ;year MSB
seca_rtc =io_rtc+wr_seca       ;alarm seconds & IRQ control
mina_rtc =io_rtc+wr_mina       ;alarm minutes & IRQ control
hrsa_rtc =io_rtc+wr_hrsa       ;alarm hour & IRQ control
dowa_rtc =io_rtc+wr_dowa       ;alarm date/day & IRQ control
wdms_rtc =io_rtc+wr_wdms       ;watchdog millisecs*10
wds_rtc  =io_rtc+wr_wds        ;watchdog seconds
cra_rtc  =io_rtc+wr_cra        ;control register A
crb_rtc  =io_rtc+wr_crb        ;control register B
nvra_rtc =io_rtc+wr_nvra       ;NVRAM address port
rsva_rtc =io_rtc+wr_rsva       ;reserved
rsvb_rtc =io_rtc+wr_rsvb       ;reserved
nvrd_rtc =io_rtc+wr_nvrd       ;NVRAM data port
;
	.end
