;================================================================================
;
;KERNEL ABSOLUTE RAM DEFINITIONS
;
ivectors =absolute             ;indirect vectors
scsiwspc =ivectors+s_vecspc    ;SCSI workspace
;
hwstack  =mm_io-s_byte         ;top of hardware stack
hwstackb =hwstack-s_hstack     ;bottom of hardware stack
tiabufs  =hwstackb-s_tiaspc    ;TIA-232 queues
;
;================================================================================
;
;KERNEL INDIRECT VECTORS
;
ivabort  =ivectors             ;abort interrupt
ivbrk    =ivabort+s_ptr        ;software interrupt
ivcop    =ivbrk+s_ptr          ;coprocessor interrupt
ivirq    =ivcop+s_ptr          ;maskable interrupt
ivnmi    =ivirq+s_ptr          ;non-maskable interrupt
ivscsi   =ivnmi+s_ptr          ;SCSI driver dispatch
ivsparea =ivscsi+s_ptr         ;user vector A
ivspareb =ivsparea+s_ptr       ;user vector B
;
	.end
