;================================================================================
;
;INTERNAL BIOS API INDEX NUMBERS
;
;	
;	These numbers must exactly correspond with the BIOS API dispatch table
;	defined in tables/bios_api.asm.  If a new function is added its index
;	will be one higher than the last one currently defined.
;	
;
ihrst     =0                   ;restart system (soft reset)
igetcha   =1                   ;read from TIA-232 channel A
igetchb   =2                   ;read from TIA-232 channel B
iputcha   =3                   ;write to TIA-232 channel A
iputchb   =4                   ;write to TIA-232 channel B
ichanbctl =5                   ;disable/enable TIA-232 channel B
igetdtr   =6                   ;read date & time from RTC
igetnvr   =7                   ;read data from NVRAM
igetuxtim =8                   ;get UNIX time
igetsutim =9                   ;get system up time
imon      =10                  ;enter machine language monitor
iplot     =11                  ;position console cursor
iputdtr   =12                  ;write date & time to RTC
iputnvr   =13                  ;write data to NVRAM
isetuxtim =14                  ;set UNIX time
iutdelay  =15                  ;generate time delay
iscsicmd  =16                  ;execute SCSI command
iscsihaid =17                  ;get SCSI host adapter bus ID
iscsiparm =18                  ;get SCSI device parameters
iscsiinit =19                  ;initialize SCSI subsystem
;
	.end