;================================================================================
;
;BIOS TIA-232 CONSTANTS
;
n_e32buf =n_c92ch*2            ;total TIA-232 buffers
n_e32bix =2                    ;TIA-232 per buffer indexes
s_e32buf =$80                  ;TIA-232 channel buffer size
s_e32iws =2                    ;UART IRQ processing workspace
s_e32spc =s_e32buf*n_e32buf    ;total TIA-232 buffer space
e32txsta =@00000001            ;ch A TxD status flag
e32txstb =e32txsta << 1        ;ch B TxD status flag
e32txstc =e32txstb << 1        ;ch C TxD status flag
e32txstd =e32txstc << 1        ;ch D TxD status flag
e32txste =e32txstd << 1        ;ch E TxD status flag
e32txstf =e32txste << 1        ;ch F TxD status flag
e32txstg =e32txstf << 1        ;ch G TxD status flag
e32txsth =e32txstg << 1        ;ch H TxD status flag
e32xmask =s_e32buf ^ @11111111 ;buffer index wrap mask
;
	.end