;================================================================================
;
;SCSI DEVICE COMMAND OPERATION CODES
;
sc_tur   =$00                  ;test unit ready
sc_recal =$01                  ;recalibrate/rewind...
;
;	
;	SC_RECAL is obsoleted for block devices, & may cause
;	a "check condition" status if issued to one.
;	
;
sc_getba =$02                  ;get LBA...
;
;	
;	SC_GETBA is obsoleted for block devices, & may cause
;	a "check condition" status if issued to one.
;	
;
sc_getsd =$03                  ;get sense data
sc_fmt   =$04                  ;format unit
sc_getbl =$05                  ;get block limits
sc_read  =$08                  ;read from medium
sc_writ  =$0a                  ;write to medium
sc_seek  =$0b                  ;seek to block (block device)
sc_seekb =$0c                  ;seek to block (stream device)
sc_wrtfm =$10                  ;write filemarks
sc_space =$11                  ;space on medium
sc_inqry =$12                  ;get device parameters
sc_mode  =$15                  ;mode select
sc_resrv =$16                  ;reserve device
sc_reles =$17                  ;release device
;
;	
;	SC_RELES & SC_RESRV are obsoleted but retained
;	for compatibility with older devices.
;	
;
sc_copy  =$18                  ;copy data
sc_erase =$19                  ;erase data
sc_modes =$1a                  ;mode sense
sc_ssdev =$1b                  ;start/stop or load/unload medium
sc_lock  =$1e                  ;lock/unlock medium
sc_getdc =$25                  ;get device capacity
sc_readx =$28                  ;read from medium extended
sc_writx =$2a                  ;write to medium extended
sc_seekx =$2b                  ;seek to block extended
sc_locat =$2b                  ;set position in medium
sc_getp  =$34                  ;get logical position
;
	.end