;===============================================================================
;
;POC SERIES HARD DISK MASS STORAGE LAYOUT
;
;	          FIELD          LOGICAL BLOCK ADDRESS
;	+=======================+
;	|    1st filesystem     |
;	+=======================+ $00000100 (pb_fs001)
;	| reserved (222 blocks) |
;	++ $00000022 (pb_rsrvd)
;	|     stage 2 boot      |
;	++ $00000002 (pb_stag2)
;	|     master  boot      |
;	+=======================+ $00000000 (pb_mboot)
;
pb_mboot =$00000000            ;master boot origin LBA
pb_stag2 =$00000002            ;stage 2 boot origin LBA
pb_rsrvd =$00000022            ;reserved blocks origin LBA
pb_fs001 =$00000100            ;1st filesystem origin LBA
m_fsdisk =4                    ;max filesystems per disk
n_mboot  =pb_stag2 -pb_mboot   ;master boot blocks
n_stag2  =pb_rsrvd -pb_stag2   ;stage 2 boot blocks
n_rsrvd  =pb_fs001 -pb_rsrvd   ;reserved blocks
s_mboot  =n_mboot  *s_hdblk    ;master boot bytes
s_s2boot =n_stag2  *s_hdblk    ;stage 2 boot bytes
s_rsrvd  =n_rsrvd  *s_hdblk    ;reserved bytes
;
;
	.end
