;================================================================================
;
;MACHINE LANGUAGE MONITOR  COMPARE MEMORY
;
;	
;	syntax: C <start> <end> <ref>
;	
;
moncmp   bcs .0000030          ;start not given  quit
;
         jsr enddest           ;get end & reference addresses
         bcs .0000040          ;range or other error
;
         stz xrtemp            ;column counter
;
.0000010 jsr teststop          ;check for stop/XOFF/XON
         bcs .0000030          ;abort
;
         lda [addra]           ;get from reference location
         cmp [operand]         ;test against reference location
         beq .0000020          ;match, don't display address
;
         jsr dpycaddr          ;display current location
;
.0000020 jsr nxtaddra          ;next reference location
         bcs .0000030          ;done
;
         longa
         inc operand           ;bump bits 0-15
         shorta
         bne .0000010
;
         inc operand+s_byte    ;bump bits 16-23
         bra .0000010
;
.0000030 jmp monce             ;return to command exec
;
.0000040 jmp monerr            ;goto error handler
;
	.end
