;================================================================================
;
;STATIC SCSI COMMAND DESCRIPTOR BLOCKS
;
cdblkget .byte sc_read         ;load master boot block
         .byte lun << n_lunshf | pb_mboot >> s_bword
         .byte >pb_mboot
         .byte <pb_mboot
         .byte n_mboot
         .byte 0
;
cdgetcap .byte sc_getdc        ;get device capacity
         .byte 0
         .byte 0
         .byte 0
         .byte 0
         .byte 0
         .byte 0
         .byte 0
         .byte 0
         .byte 0
;
cdinqry  .byte sc_inqry        ;perform device inquiry
         .byte 0
         .byte 0
         .byte 0
         .byte s_inqry
         .byte 0
;
cdreqsns .byte sc_getsd        ;request sense data
         .byte lun << n_lunshf | 0 >> s_bword
         .byte 0
         .byte 0
         .byte s_reqsen
         .byte 0
;
cdstrunt .byte sc_ssdev        ;start unit/load medium
         .byte 0
         .byte 0
         .byte 0
         .byte 1
         .byte 0
;
cdtstrdy .byte sc_tur          ;test unit ready
         .byte 0
         .byte 0
         .byte 0
         .byte 0
         .byte 0
;
	.end
