;================================================================================
;
;MAXIM DS1511 REAL-TIME CLOCK INITIALIZATION DATA
;
;	
;	Each entry in this table consists of a chip register offset paired with
;	the parameter that is to be loaded into the register.  Use caution when
;	editing this table, as changing the order in which parameters are load-
;	ed may cause the device to malfunction.  Table entries are read in rev-
;	erse order during device setup.  Changes to the RTC setup should be made
;	in include_hardware/clock/ds1511_constants.asm, not here.  Only change
;	this table if an entry is to be added or deleted.
;	
;
d11tab   .byte wr_crb, wr_crbpb  ;CRB : updates on
         .byte wr_seca,wr_secap  ;SECA: no alarm secs IRQ
         .byte wr_mina,wr_minap  ;MINA: no alarm min IRQ
         .byte wr_hrsa,wr_hrsap  ;HRSA: no alarm hour IRQ
         .byte wr_dowa,wr_dowap  ;DOWS: no alarm date/day IRQ
         .byte wr_crb, wr_crbpa  ;CRB : updates & WDT IRQs off
s_d11tab =*-d11tab             ;table size
;
	.end
