;================================================================================
;
;53C94 SCSI CONTROLLER INITIALIZATION DATA
;
;	
;	Each entry in this table consists of a chip register offset paired with
;	the parameter that is to be loaded into the register.  Use caution when
;	editing this table, as changing the order in which parameters are load-
;	ed may cause the device to malfunction.  Table entries are read in rev-
;	erse order during device setup.
;	
;
s94tab   .byte sr_cr3, sr_cr3p  ;set control #3
         .byte sr_cr2, sr_cr2p  ;set control #2
         .byte sr_cr1, sr_cr1p  ;set control #1
         .byte sr_tout,sr_toutp ;set selection timeout period
         .byte sr_clkf,sr_clkfp ;set clock factor
         .byte sr_ftm, sr_ftmp  ;disable forced test modes
;
s_s94tab =*-s94tab             ;table size
;
;===============================================================================
;
;53C94 SCSI CONTROLLER FIFO TEST DATA
;
scfifotd .byte $ff,$00,$12,$21,$24,$42,$36,$63
         .byte $48,$84,$5a,$a5,$6c,$c6,$7e,$e7
;
	.end
